"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var os_1 = __importDefault(require("os"));
var UniqueValueArray_1 = require("./UniqueValueArray");
var USAGE_LEFT_ARROW = '<--';
function convertToPlant(gtmJSON) {
    var plantDocument = new UniqueValueArray_1.UniqueValueArray('@startuml');
    gtmJSON.containerVersion.variable.forEach(function (variable) {
        gtmJSON.containerVersion.tag.forEach(function (tag) {
            plantDocument.push("object \"" + tag.name + "\"");
            if (tag.parameter.map(function (parameter) { return parameter.value; }).indexOf(variable.name)) {
                plantDocument.push("\"" + variable.name + "\" " + USAGE_LEFT_ARROW + " \"" + tag.name + "\"");
            }
        });
        gtmJSON.containerVersion.trigger.forEach(function (trigger) {
            plantDocument.push("object \"" + trigger.name + "\"");
            if (trigger.customEventFilter !== undefined && trigger.customEventFilter.some(function (customEventFilter) { return !!customEventFilter.parameter.map(function (parameter) { return parameter.value; }).indexOf(variable.name); })) {
                plantDocument.push("\"" + variable.name + "\" " + USAGE_LEFT_ARROW + " \"" + trigger.name + "\"");
            }
            plantDocument.push("object \"" + trigger.name + "\"");
        });
        plantDocument.push("object \"" + variable.name + "\"");
    });
    plantDocument.push('@enduml');
    return plantDocument.filter(function (value, index, array) { return array.indexOf(value) === index; }).join(os_1.default.EOL);
}
exports.convertToPlant = convertToPlant;
