#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var commander_1 = __importDefault(require("commander"));
var fs_1 = __importDefault(require("fs"));
var glob_1 = __importDefault(require("glob"));
var convertToPlant_1 = require("./convertToPlant");
commander_1.default
    .version('0.0.3')
    .option('-i, --input <path>', 'Define the path of the Typescript file')
    .option('-o, --output <path>', 'Define the path of the output file. If not defined, it\'ll output on the STDOUT')
    .parse(process.argv);
if (!commander_1.default.input) {
    console.error('Missing input file');
    process.exit(1);
}
glob_1.default(commander_1.default.input, {}, function (err, matches) {
    if (err !== null) {
        throw err;
    }
    matches.forEach(function (input) {
        if (commander_1.default.output === undefined) {
            console.log(convertToPlant_1.convertToPlant(require(input)));
            return;
        }
        fs_1.default.writeFileSync(commander_1.default.output, convertToPlant_1.convertToPlant(require(input)));
    });
});
